--------------------------------------------------------------------------------
--
-- Title       : DecoderDigDef_InxOut
-- Design      : DecoderDigDef_InxOut
-- Author      : Alex Shtengel
-- Company     : Home
--------------------------------------------------------------------------------
-- File        : DecoderDigDef_InxOut_Tb.vhd
-- Generated   : Mar 25  2004
--------------------------------------------------------------------------------
-- Description : Decoder with rise output
--------------------------------------------------------------------------------
-- Revision History :
-- -----------------------------------------------------------------------------
--   Ver  :| Author            :| Mod. Date :|    Changes Made:
--   v1.0  | Alex Shtengel	   :| 25/03/04	:| Automatically Generated
-- -----------------------------------------------------------------------------
library ieee ;

use ieee.std_logic_1164.all ;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity DecoderDigDef_InxOut_Tb  is
end DecoderDigDef_InxOut_Tb;


architecture  ArchDecoderDigDef_InxOut_Tb of DecoderDigDef_InxOut_Tb is
component DecoderDigDef_InxOut
GENERIC (InputLength,OutLength	: integer);
port
(
 ClockIn ,                              -- General clock
 nResetIn					                      -- General reset active low
 						: in	std_logic;
 Input 						                      -- Input number for decoding
 						: in	std_logic_vector(InputLength downto 0);
 OutputRise
                           -- Outputs
 						: out	std_logic_vector(OutLength downto 0)
);
end component;
signal ClockIn 						: std_logic := '0';
signal nResetIn 					: std_logic := '1';
signal Input : std_logic_vector(7 downto 0):= (others => '0');
signal OutputSel : std_logic_vector(39 downto 0);


begin
ClockIn <= not ClockIn after 10 nS;
nResetIn		<= '1', '0' after 100 nS, '1' after 200 nS;

UUT : DecoderDigDef_InxOut
GENERIC MAP(7,39)
--GENERIC (InputLength,OutLength	: integer);
port map
(
 ClockIn 		=> ClockIn,                         -- General clock
 nResetIn		=> nResetIn,					              -- General reset active low
 Input 			=> Input,			                      -- Input number for decoding
 OutputRise => OutputSel                        -- Outputs
);

 InputProcess:
process
begin
--for i in 39 downto 0 loop
for i in 0 to 39 loop
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
 wait until ClockIn'event and ClockIn = '1';
	Input <= conv_std_logic_vector(i,8);
end loop ;
end process  InputProcess;

end ArchDecoderDigDef_InxOut_Tb;

